<?php

namespace App\Http\Controllers;

use App\IdpResult;
use App\Libraries\EarcUtils;
use App\Http\Controllers\Controller;
use \SimpleSAML_Configuration;

class HomeController extends Controller
{
    /**
     * Retrieve the historical results and allow user to start the test
     *
     * @return Response
     */
    public function __invoke()
    {
	    session(['test_allowed' => 'true']);
        $sp_entities = EarcUtils::getSpMetadata(null);
        $attributemap = EarcUtils::getAttributeMap();
        //Get only the latest result for each IdP
        $idps = IdpResult::all()->unique('idp_entity_id');
        $historical_results = array();
        foreach ($idps as $idp){
            $historical_results[] = IdpResult::where('idp_entity_id', $idp['idp_entity_id'])
                ->orderBy('created_at', 'desc')
                ->first();
        }

        return view('home', ['historical_results' => $historical_results,
                             'sp_entities' => $sp_entities,
                             'attributemap' => $attributemap]);
    }
}
