<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>eduGAIN Attribute Release Check</title>
    <link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/bootstrap-switch.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/earc.css') }}" rel="stylesheet">
    <style>
        body { margin: 0 auto; font-family: sans-serif;}
        th, td {padding: 0.3em;}
        table {width: 100%;}
    </style>
</head>
<body>
    <header>
        <div style="position: relative; height: 115px; width: 100%; background: #003f5f">
            <img id="geant_logo_t" src="/img/geant_logo1.png" style="position: absolute; left: 20px; bottom: 0px;">
            <img src="/img/edugain_logo1.png" style="position:absolute; right: 40px; bottom: 0px;">
       </div>
    </header>
    <div id="container" style="width: 90%; margin: 0 auto">
        <div class="row">
            <div class="col-md-6">
                <h1><a href="/">eduGAIN Attribute Release Check</a></h1>
            </div>
        </div> 
        @yield('main_content')
        @yield('results')
   
    <h2 style="clear:both">Historical Results</h2>
    <div class="row" style="padding:1em">
            <table id="hist" class="table-bordered">
                <thead>
                    <tr>
                        <th>Organisation Name</th>
                        <th>Identity Provider entityID</th>
                        <th>Registration Authority</th>
                        <th>Date of Last Test</th>
                        <th>Details</th>
                    </tr>
                </thead>
                @foreach ($historical_results as $row)
                <tr>
                    <td>{{ $row->idp_name }}</td>
                    <td><a href="https://met.refeds.org/met/entity/{{ $row->idp_entity_id }}" target="_blank">{{ $row->idp_entity_id }}</a></td>
                    <td>{{ $row->registration_authority }}</td>
                    <td>{{ $row->created_at }}</td>
                    <td>@if ( $row->result == 'A+' )<span class="glyphicon glyphicon-thumbs-up label label-success" aria-hidden="true" title="Highest ranked, congratulatio
ns!"> </span> @endif &nbsp;<a href="/results/{{ $row->test_id }}" title="Detailed result for {{ $row->idp_name }}"><span class="glyphicon-option-horizontal glyphicon
 label label-default"> </span></a></td>
                </tr>
                @endforeach
            </table>
    </div>
  </div>
    <footer style="background-color: #EEE;padding: 1em 0" class="col-sm-12">
          <div class="col-sm-4">
              <img src="/img/footer_logo_padded.jpg" style="width: 111px; height:26px;" />
          </div>

          <div class="col-sm-8" style="text-align: right;">
            <a href="https://www.geant.org/Disclaimer" target="_blank">Disclaimer</a>
            <a href="https://www.geant.org/Policies" target="_blank">Policies</a>
          </div>
        <div style="margin: 0 auto;width: 90%">
            <div class="col-sm-10" style="text-align: center; padding: 0.5em 0; ">
            As part of the GÉANT 2020 Framework Partnership Agreement (FPA), the project receives funding from the European Union’s Horizon 2020 research and innovation programme
            under Grant Agreement No. 731122 (GN4-2).
          </div>        
      </div>
    </footer>
<script type="text/javascript" src="{{ asset('js/jquery.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/bootstrap-switch.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/dataTables.bootstrap.min.js') }}"></script>
<script type="text/javascript">
  $(":checkbox").bootstrapSwitch();
  $("#hist").dataTable({
    "order": [[ 3, "desc" ]],
    "pageLength": 25,
    "columns": [
        null,
        null,
        null,
        null,
        { "orderable": false },
      ]
  });
    function checkselected(){
        if ($("input[name='sps[]']:checked").length == 0){ 
            $("input[name='start_test']").prop( "disabled", true );
        }else{
            $("input[name='start_test']").prop( "disabled", false ); 
        }
    }
</script>
</body>
</html>
