@inject('utils', 'App\Libraries\EarcUtils')
@extends('base')
@section('main_content')
<p>The eduGAIN Attribute Release Check (EARC) service allows testing whether the Identity Provider of an organisation participating in eduGAIN properly releases user attributes to eduGAIN services.<br /><br />

The service will test if the Identity Provider supports attribute release based on the <a href="https://refeds.org/category/research-and-scholarship">REFEDS Research & Scholarship (R&S)</a>and the <a href="http://www.geant.net/uri/dataprotection-code-of-conduct/v1">GÉANT Data Protection Code of Conduct (CoCo)</a> entity categories. A third test will analyzes which attributes an Identity Provider is able to release in general and how many eduGAIN services a user can access based on these attributes.<br /><br />

To perform the test, click on "Start" and then choose your Identity Provider. After successful login, you will automatically access all three tests and see the test result at the end. </p>

<form action="{{ action('AttrReleaseTestController') }}" method="post">
<div class="row">
    <div class="col-md-12" style="text-align:center;padding:1em;">
        @csrf
        <input name="start_test" class="btn btn-success btn-lg" type="submit" value="Start the test" onclick="validate();">
    </div>
</div>

<hr />
<div class="row">
@foreach ($sp_entities as $entity)
  <div class="col-md-4">
    <h4><b>{{ $entity['name'] }}</b></h4>
        <b>entityID</b>: <a href="https://met.refeds.org/met/entity/{{ $entity['entityid'] }}">{{ $entity['entityid'] }}</a>
      <br />
      Include this SP to the test:  
      <input type="checkbox" name="sps[]" value="{{ $entity['entityid'] }}" data-size="mini" data-on-text="Yes" data-off-text="No" checked onchange="checkselected()"><br />
      <div class="details" style="padding-top:0.5em;border-top:1px solid #e2e2e2;margin-top:0.5em">
         Details:  
         <input type="checkbox" name="showDetails{{ $loop->index }}" data-size="mini" data-on-text="show" data-off-text="hide" onchange="$('#details{{ $loop->index }}').toggle();">
         <div id="details{{ $loop->index}}" style="display:none;">
            <br /><b>Requested Attributes</b>
            <ul>
            @if (array_key_exists('attributes', $entity))
                @foreach ($entity['attributes'] as $attr)
                <li><b>{{ $attributemap[$attr] }}</b><br>{{ $attr }}</li>
                @endforeach
            @endif
            </ul>
         </div>
      </div>
  </div>
@endforeach
</div>
<hr />
</form>
<hr />
@endsection
