@inject('utils', 'App\Libraries\EarcUtils')
@extends('base')
@section('results')
<h3>Test Results for Identity Provider <b> {{$idp['idp_name']}} </b> </h3>
<strong>EntityID: </strong> <a href="https://met.refeds.org/met/entity/{{ $idp['idp_entity_id'] }}">{{$idp['idp_entity_id']}}</a> | <b>Time of the test:</b> {{ $idp['created_at'] }} UTC
@if ($regional_earc != null)
<div class="row">
<div class="col-md-6"><span class="glyphicon glyphicon-info-sign"></span>   Your local federation offers a service for <a href="{{$regional_earc}}">additional attribute release related tests</a></div>
</div>
@endif
<hr />
<div class="row">
@foreach ($sp_entities as $entity)
    @if (array_key_exists('tested', $entity))  
    <div class="col-md-4 bg-info" style="border:5px solid #fff;padding:1em;border-radius: 8px;"> 
    @else 
    <div class="col-md-4 bg-warning" style="border:5px solid #fff;padding:1em;border-radius: 8px;"> 
    @endif
    <h3>{{ $entity['name'] }}&nbsp;
    @if ( array_key_exists('tested', $entity) )
        <span class="label label-primary" style="padding-top:8px">Tested</span>
    @else 
        <span class="label label-warning" style="padding-top:8px">Not tested</span>
    @endif
    </h3>
    <strong>EntityID:</strong></br>
    <span><a href="https://met.refeds.org/met/entity/{{ $entity['entityid'] }}">{{ $entity['entityid'] }}</a><br/></span>
    @if (array_key_exists('tested', $entity))
    <div class="mark" style="padding-left:0.5em; background-color: #fff">
        @if ($verdict[$entity['entityid']]['mark']!='')
        <h4><b>Verdict:</b>&nbsp;
            @if (strpos($verdict[$entity['entityid']]['mark'],"F") !== false || strpos($verdict[$entity['entityid']]['mark'],"D") !== false) 
            <span class="label label-danger">{{ $verdict[$entity['entityid']]['mark'] }}</span>
            @elseif (strpos($verdict[$entity['entityid']]['mark'],"C")!==false)
            <span class="label label-warning">{{ $verdict[$entity['entityid']]['mark'] }}</span>
            @elseif (strpos($verdict[$entity['entityid']]['mark'],"B")!==false)
            <span class="label label-primary">{{ $verdict[$entity['entityid']]['mark'] }}</span>
            @elseif (strpos($verdict[$entity['entityid']]['mark'],"A")!==false)
            <span class="label label-success">{{ $verdict[$entity['entityid']]['mark'] }}</span>
            @endif
        </h4>
        @endif
        <p>{{ strip_tags(preg_replace("/_/","",$verdict[$entity['entityid']]['comment'])) }}<br /><a href="https://wiki.geant.org/display/eduGAIN/Release+Check+Evaluation+Rules" target="_blank">More details on verdict</a></p>
        @if ($entity['entityid']=='https://rns-ng.release-check.edugain.org/shibboleth' && strpos($verdict[$entity['entityid']]['mark'],"A")===false)
        <p><a href="https://wiki.refeds.org/display/ENT/Research+and+Scholarship+IdP+Config">Hints about R&S IdP configuration</a></p>
        @elseif ($entity['entityid']=='https://coco.release-check.edugain.org/shibboleth' && strpos($verdict[$entity['entityid']]['mark'],"A")===false)
        <p><a href="https://wiki.geant.org/display/eduGAIN/CoCo+Recipe+for+a+Home+Organisation">Hints about CoCo IdP configuration</a></p>
        @endif
    </div>
    <div class="details" style="padding-top:0.5em;padding-left:0.5em;border-top:1px solid #e2e2e2;margin-top:0.5em">
    Details:  <input type="checkbox" name="showDetails{{ $loop->index }}" data-size="mini" data-on-text="show" data-off-text="hide" onchange="$('#details{{ $loop->index }}').toggle();"></div>
        <div id="details{{ $loop->index}}" style="display:none;padding-top:1em">
        <b>Attributes Received</b>
        <ul>
        @if (array_key_exists('attributeNames', $entity))
            @foreach ($entity['attributeNames'] as $attr)
                @if (array_key_exists($attr, $released_attributes[$entity['entityid']]))
                    <li><b>{{ $attr }}</b>&nbsp;
                    <span class="label label-success">OK</span><br />
                    @for ($i = 0; $i < $released_attributes[$entity['entityid']][$attr]; $i++)
                        <code title="*********">*********</code><br>
                    @endfor
                </li>    
                @endif
            @endforeach
            @foreach ($released_attributes[$entity['entityid']] as $attr_name => $attr_value)
                @if (!in_array($attr_name, $entity['attributeNames']) && !in_array($attr_name, $entity['superfluous_attributes']))
                    <li><b>{{ $attr_name }}</b> <span class="label label-success">OK</span><br />
                        @for ($i = 0; $i < $released_attributes[$entity['entityid']][$attr_name]; $i++)
                            <code title="*********">*********</code><br>
                        @endfor
                    </li>
                @endif
            @endforeach
        @endif
        @if (array_key_exists('superfluous_attributes', $entity) && count($entity['superfluous_attributes'])>0) 
            @foreach ($entity['superfluous_attributes'] as $attr_name)
            <li><b>{{ $attr_name }}</b>&nbsp;<span class="label label-warning">Not requested</span><br />
            @for ($i = 0; $i < $released_attributes[$entity['entityid']][$attr_name]; $i++)
                <code title="*********">*********</code><br>
            @endfor
            </li>
            @endforeach
        @endif
        </ul>
         @if (array_key_exists('attributeNamesRequired', $entity))
            <b>Attributes Missing</b>
            <ul>
             @foreach ($entity['attributeNamesRequired'] as $attr)
                 @if (!array_key_exists($attr, $released_attributes[$entity['entityid']]))
                     @if (!$utils->canBeRedundant($attr, $released_attributes[$entity['entityid']]))
                 <li><b>{{ $attr }}</b>&nbsp;
                 <span class="label label-danger">Missing</span><br></li>
                     @endif 
                 @endif
             @endforeach
            </ul>
        @endif
    </div>
    @endif
    </div>
@endforeach
</div>
@endsection
