<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;
use App\Libraries\EarcUtils;

class VerdictTest extends TestCase
{
    /**
     * A basic test example.
     *
     * @return void
     */
    public function testVerdict()
    {
        //A For RnS
        $current_sp = 'https://rns.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.admin.grnet.gr/idp/shibboleth';
        $attributes = array(
            'eduPersonScopedAffiliation' => array('faculty','kokolala'),
            'mail' => array('ikakavas@noc.grnet.gr'),
            'givenName' => array('Ioannis'),
            'sn' => array('Kakavas'),
            'displayName' => array('Ioannis Kakavas'),
            'eduPersonTargetedID'=> array('eduPersonTargetedID'),
            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'),
            'eduPersonEntitlement' => array('urn:mace:dir:entitlement:common-lib-terms'),
        );
        
        // $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // // var_dump($verdict);
        // $this->assertEquals($verdict['mark'], 'A+');

        //A- For RnS
        $current_sp = 'https://rns.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.admin.grnet.gr/idp/shibboleth';
        $attributes = array(
            'eduPersonScopedAffiliation' => array('faculty','kokolala'),
            'mail' => array('ikakavas@noc.grnet.gr'),
            'givenName' => array('Ioannis'),
            'sn' => array('Kakavas'),
            'displayName' => array('Ioannis Kakavas'),
            'eduPersonTargetedID'=> array('eduPersonTargetedID'),
            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'),
            'schacHomeOrganizationType' => array('urn:mace:dir:entitlement:common-lib-terms'),
        );
        // $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // // var_dump($verdict);
        // $this->assertEquals($verdict['mark'], 'A-');


        $current_sp = 'https://rns-ng.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.niif.hu/shibboleth';
        $attributes = array();
        $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // var_dump($verdict);
        $this->assertEquals($verdict['mark'], 'F');


        $current_sp = 'https://rns.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.admin.grnet.gr/idp/shibboleth';
        $attributes = array('eduPersonScopedAffiliation' => array('faculty','kokolala'),
                            'mail' => array('ikakavas@noc.grnet.gr'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'));
        // $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // // var_dump($verdict);
        // $this->assertEquals($verdict['mark'], 'C');

        $current_sp = 'https://coco.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.admin.grnet.gr/idp/shibboleth';
        $attributes = array('eduPersonAffiliation' => array('faculty','kokolala'),
                            'mail' => array('ikakavas@noc.grnet.gr'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'));
        $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // var_dump($verdict);
        $this->assertEquals($verdict['mark'], 'D');


        $current_sp = 'https://rns.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://cern.ch/login';
        $attributes = array('eduPersonAffiliation' => array('faculty','kokolala'),
                            'mail' => array('ikakavas@noc.grnet.gr'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'),
                            'eduPersonTargetedID'=> array('eduPersonTargetedID'),
                            'eduPersonScopedAffiliation'=> array('affiliations'),
                            'swissEduPersonUniqueID'=> array('value'),
                            'givenName'=> array('value'),
                            'sn'=> array('value'),
                            'cn'=> array('value'),
                            'swissEduPersonHomeOrganization'=> array('value'),
                            'swissEduPersonHomeOrganizationType'=> array('value'),
                            'schacHomeOrganization'=> array('value'),
                            'schacHomeOrganizationType'=> array('value')

                        );
        // $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // // var_dump($verdict);
        // $this->assertEquals($verdict['mark'], 'D');

        $current_sp = 'https://coco.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://cern.ch/login';
        $attributes = array('eduPersonAffiliation' => array('faculty','kokolala'),
                            'mail' => array('ikakavas@noc.grnet.gr'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'),
                            'eduPersonTargetedID'=> array('eduPersonTargetedID'),
                            'eduPersonScopedAffiliation'=> array('affiliations'),
                            'swissEduPersonUniqueID'=> array('value'),
                            'givenName'=> array('value'),
                            'sn'=> array('value'),
                            'cn'=> array('value'),
                            'swissEduPersonHomeOrganization'=> array('value'),
                            'swissEduPersonHomeOrganizationType'=> array('value'),
                            'schacHomeOrganization'=> array('value'),
                            'schacHomeOrganizationType'=> array('value')

                        );
        $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // var_dump($verdict);
        $this->assertEquals($verdict['mark'], 'D');

        $current_sp = 'https://noec.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://cern.ch/login';
        $attributes = array('eduPersonAffiliation' => array('faculty','kokolala'),
                            'mail' => array('ikakavas@noc.grnet.gr'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@hq-admin.grnet.gr'),
                            'eduPersonTargetedID'=> array('eduPersonTargetedID'),
                            'eduPersonScopedAffiliation'=> array('affiliations'),
                            'swissEduPersonUniqueID'=> array('value'),
                            'givenName'=> array('value'),
                            'sn'=> array('value'),
                            'cn'=> array('value'),
                            'swissEduPersonHomeOrganization'=> array('value'),
                            'swissEduPersonHomeOrganizationType'=> array('value'),
                            'schacHomeOrganization'=> array('value'),
                            'schacHomeOrganizationType'=> array('value')

                        );
        $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // var_dump($verdict);
        $this->assertEquals($verdict['mark'], 'D');


        #test for tamas bug
        #
        $current_sp = 'https://rns.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.niif.hu/shibboleth';
        $attributes = array('mail' => array('ikakavas@niif.hu'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@niif.hu'),
                            'eduPersonScopedAffiliation'=> array('affiliations'),

                        );
        // $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        // var_dump($verdict);
        // $this->assertEquals($verdict['mark'], 'C');

        $current_sp = 'https://rns-ng.release-check.edugain.org/shibboleth';
        $idp_entity_id = 'https://idp.niif.hu/shibboleth';
        $attributes = array('mail' => array('ikakavas@niif.hu'),
                            'displayName' => array('Ioannis Kakavas'),
                            'eduPersonPrincipalName' => array('ik@niif.hu'),
                            'eduPersonScopedAffiliation'=> array('affiliations'),

                        );
        $verdict = EarcUtils::calculateVerdictForAnSP($current_sp, $attributes, $idp_entity_id);
        var_dump($verdict);
        $this->assertEquals($verdict['mark'], 'A-');

    }
}
